%define name moodriver
%define version 0.20.1
%define release %mkrel 3
%define distsuffix plf
%define major 1
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: Moodriver is a library to access the Soulseek file sharing network
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://files.beep-media-player.org/releases/moodriver/%{name}-%{version}.tar.bz2
Patch: moodriver-0.20.1-missing-includes.patch
License: GPLv2+
Group: Networking/File transfer
Url: http://bmpx.beep-media-player.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires: glib2-devel >= 2.8.0
Buildrequires: sigc++2.0-devel

%description
Moodriver is a client for accessing the Soulseek file sharing
network. It acts as a front-end for museekd or Mooseekd, you need to
have either one of these running.

This package is in PLF as Mandriva doesn't allow file sharing software.

%package utils
Group: Networking/File transfer
Summary: Example applications of %name

%description utils
Moodriver is a client for accessing the Soulseek file sharing
network. It acts as a front-end for museekd or Mooseekd, you need to
have either one of these running.

This package contains a simple command line client called moo.

This package is in PLF as Mandriva doesn't allow file sharing software.


%package -n %libname
Group: System/Libraries
Summary: Shared library of %name

%description -n %libname
Moodriver is a client for accessing the Soulseek file sharing
network. It acts as a front-end for museekd or Mooseekd, you need to
have either one of these running.

This package is in PLF as Mandriva doesn't allow file sharing software.

%package -n %develname
Group: Development/C++
Summary: Development files of %name
Requires: %libname = %version
Provides: lib%name-devel = %version-%release
Obsoletes: %mklibname -d %name 1

%description -n %develname
Moodriver is a client for accessing the Soulseek file sharing
network. It acts as a front-end for museekd or Mooseekd, you need to
have either one of these running.

This package is in PLF as Mandriva doesn't allow file sharing software.

%prep
%setup -q
%patch -p1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig


%files utils
%defattr(-,root,root)
%_bindir/moo

%files -n %libname
%defattr(-,root,root)
%doc NEWS AUTHORS
%_libdir/libmoodriver.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/libmoodriver.so
%_libdir/libmoodriver.la
%_includedir/moodriver/
%_libdir/pkgconfig/moodriver.pc

%changelog
* Mon Jan 26 2009 Götz Waschk <goetz@zarb.org> 0.20.1-3plf2009.1
- update license
- fix build

* Wed Jan 23 2008 Götz Waschk <goetz@zarb.org> 0.20.1-2plf2008.1
- new devel name

* Fri Nov 24 2006 Götz Waschk <goetz@zarb.org> 0.20.1-1plf2007.1
- new version

* Sat Nov 11 2006 Götz Waschk <goetz@zarb.org> 0.20-1plf2007.1
- fix installation
- new major
- new version

* Fri Oct 27 2006 Götz Waschk <goetz@zarb.org> 0.10-1plf2007.1
- new version

* Fri Sep 29 2006 Götz Waschk <goetz@zarb.org> 0.09-1plf2007.0
- initial package
